Bug 143812 - #include <linux/uinput.h> doesn't work - need 2.6 headers.
#include <linux/uinput.h> doesn't work - need 2.6 headers.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2004-12-28 11:54 EST by Dave Mielke
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-716
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Mielke 2004-12-28 11:54:45 EST
Description of problem:

Even though Fedora Linux Core 3 is based on the 2.6 kernel, the 2.6 kernel
headers aren't available under "/usr/include/linux/". Those headers are for the
2.4.20 kernel.

   cat /usr/include/linux/version.h
   #define UTS_RELEASE "2.4.20"
   #define LINUX_VERSION_CODE 132116
   #define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))

Version-Release number of selected component (if applicable):

I'm using glibc-kernheaders-2.4-9.1.87.

How reproducible:

Every time.

Steps to Reproduce:

1. Create a C source file which contains: #include <linux/uinput.h>

   cat >test.c <<EOF
   #include <linux/input.h>
   #include <linux/uinput.h>
   EOF

2. Compile the test program.

   cc -c test.c

Actual results:

test.c:1:26: linux/uinput.h: No such file or directory

Expected results:

There should be no output from the C compiler (if, of course, as shown above,
<linux/input.h> is included first).

Additional info:

My personal workaround is to extract the headers from the .src.rpm for the
kernel which I'm currently running. This, however, isn't a good solution for
autoconf-based packages which expect to find needed headers in standard places.
Comment 1 David Woodhouse 2005-04-15 12:38:46 EDT
The numbers in version.h are irrelevant. The lack of uinput.h is now fixed though.
Comment 6 Red Hat Bugzilla 2005-10-05 08:05:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html
Comment 7 Red Hat Bugzilla 2005-10-05 08:21:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html

Note You need to log in before you can comment on or make changes to this bug.